org.eclnt.jsfserver.elements.componentnodes

## Class UI5_MENUITEMNode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.UI5_MENUITEMNode

- All Implemented Interfaces:
    java.io.Serializable

      public class UI5_MENUITEMNode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UI5_MENUITEMNode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `UI5_MENUITEMNode` | `bindActionListener(IActionListenerDelegation value)`
    `UI5_MENUITEMNode` | `bindAdapterbinding(IDynamicContentBindingObject value)`
    `UI5_MENUITEMNode` | `bindComment(IDynamicContentBindingObject value)`
    `UI5_MENUITEMNode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `UI5_MENUITEMNode` | `bindIcon(IDynamicContentBindingObject value)`
    `UI5_MENUITEMNode` | `bindRendered(IDynamicContentBindingObject value)`
    `UI5_MENUITEMNode` | `bindStyleseq(IDynamicContentBindingObject value)`
    `UI5_MENUITEMNode` | `bindStylevariant(IDynamicContentBindingObject value)`
    `UI5_MENUITEMNode` | `bindText(IDynamicContentBindingObject value)`
    `UI5_MENUITEMNode` | `setActionListener(java.lang.String value)`
    `UI5_MENUITEMNode` | `setAdapterbinding(java.lang.String value)`
    `UI5_MENUITEMNode` | `setAttributemacro(java.lang.String value)`
    `UI5_MENUITEMNode` | `setComment(java.lang.String value)`
    `UI5_MENUITEMNode` | `setConfiginfo(java.lang.String value)`
    `UI5_MENUITEMNode` | `setIcon(java.lang.String value)`
    `UI5_MENUITEMNode` | `setId(java.lang.String value)`
    `UI5_MENUITEMNode` | `setReference(java.lang.String value)`
    `UI5_MENUITEMNode` | `setRendered(boolean value)`
    `UI5_MENUITEMNode` | `setRendered(java.lang.String value)`
    `UI5_MENUITEMNode` | `setStyleseq(java.lang.String value)`
    `UI5_MENUITEMNode` | `setStylevariant(java.lang.String value)`
    `UI5_MENUITEMNode` | `setText(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UI5_MENUITEMNode

          public UI5_MENUITEMNode()

  - ### Method Detail

    - #### setId

          public UI5_MENUITEMNode setId(java.lang.String value)

    - #### setActionListener

          public UI5_MENUITEMNode setActionListener(java.lang.String value)

    - #### bindActionListener

          public UI5_MENUITEMNode bindActionListener(IActionListenerDelegation value)

    - #### setAdapterbinding

          public UI5_MENUITEMNode setAdapterbinding(java.lang.String value)

    - #### bindAdapterbinding

          public UI5_MENUITEMNode bindAdapterbinding(IDynamicContentBindingObject value)

    - #### setAttributemacro

          public UI5_MENUITEMNode setAttributemacro(java.lang.String value)

    - #### setComment

          public UI5_MENUITEMNode setComment(java.lang.String value)

    - #### bindComment

          public UI5_MENUITEMNode bindComment(IDynamicContentBindingObject value)

    - #### setConfiginfo

          public UI5_MENUITEMNode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public UI5_MENUITEMNode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setIcon

          public UI5_MENUITEMNode setIcon(java.lang.String value)

    - #### bindIcon

          public UI5_MENUITEMNode bindIcon(IDynamicContentBindingObject value)

    - #### setReference

          public UI5_MENUITEMNode setReference(java.lang.String value)

    - #### setRendered

          public UI5_MENUITEMNode setRendered(java.lang.String value)

    - #### bindRendered

          public UI5_MENUITEMNode bindRendered(IDynamicContentBindingObject value)

    - #### setRendered

          public UI5_MENUITEMNode setRendered(boolean value)

    - #### setStyleseq

          public UI5_MENUITEMNode setStyleseq(java.lang.String value)

    - #### bindStyleseq

          public UI5_MENUITEMNode bindStyleseq(IDynamicContentBindingObject value)

    - #### setStylevariant

          public UI5_MENUITEMNode setStylevariant(java.lang.String value)

    - #### bindStylevariant

          public UI5_MENUITEMNode bindStylevariant(IDynamicContentBindingObject value)

    - #### setText

          public UI5_MENUITEMNode setText(java.lang.String value)

    - #### bindText

          public UI5_MENUITEMNode bindText(IDynamicContentBindingObject value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.